/* PDTVDoc */

#import <Cocoa/Cocoa.h>

@interface PDTVDoc : NSObject
{
    IBOutlet id o_imgView;
    IBOutlet id o_mainWindow;
	unsigned char *bitmap;
	int x;
	int y;
	int bitmapSize;
	BOOL hasAlpha;
	id delegate;
	NSString *filename;
	int mode;
}

- (id)initWithFile: (NSString *)str owner:(id)owner count:(int)n success:(BOOL *)flag;
- (void)exportPNG: (NSString *)path saveMode:(int)m;
- (NSString *)filename;
- (void)changeToRGBA;
- (void)changeToRGB;
- (void)changeToAlpha;
- (BOOL)hasAlpha;
- (void)paste;
@end
